Skip to content
GET /link-ui/{id}/frame-ancestors

Path Parameters

idstring · uuid
required·

The environment id. A Link UI row is keyed by its environment.

Example: 8a2b104d-74a6-47f2-b93e-c6b611e82391

Response Body

frame_ancestorsstring[]

Bare origins — scheme, host and optional port, no path. Anything stored that is not a bare origin is dropped on read.

Example: ["https://app.acme.com"]
curl -X GET 'https://api.truto.one/link-ui/{id}/frame-ancestors' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/link-ui/{id}/frame-ancestors', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/link-ui/{id}/frame-ancestors"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())